/*
*  Licensed Materials - Property of IBM
*  5725-G92 (C) Copyright IBM Corp. 2006, 2013. All Rights Reserved.
*  US Government Users Restricted Rights - Use, duplication or
*  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
*/

function temperatureConvertor(celsiusTemp) {
	// Use USD and EUR as fromCurrency and toCurrency variables. Case is important.
	
	var request = 
		<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
			<soap:Body>
				<CelsiusToFahrenheit xmlns="http://tempuri.org/">
					<Celsius>{celsiusTemp}</Celsius>
				</CelsiusToFahrenheit>
			</soap:Body>
		</soap:Envelope>;

	var input = {
	    method : 'post',
	    returnedContentType : 'xml',
	    path : '/webservices/tempconvert.asmx',
	    body: {
	    	content: request.toString(),
	    	contentType: 'text/xml; charset=utf-8'
	    }
	};
	
	var result = WL.Server.invokeHttp(input);
	
	return result.Envelope.Body;
}
